document.addEventListener('DOMContentLoaded', () => {
  const heartBtn = document.getElementById('heartBtn');
  const floatingHearts = document.querySelector('.floating-hearts');

  function createHeart() {
    const heart = document.createElement('div');
    heart.innerHTML = '❤️';
    heart.style.position = 'absolute';
    heart.style.fontSize = Math.random() * 20 + 10 + 'px';
    heart.style.left = Math.random() * 100 + '%';
    heart.style.opacity = '1';
    heart.style.transition = 'all 3s ease-out';
    heart.style.animation = 'float 3s ease-in-out infinite';
    
    floatingHearts.appendChild(heart);

    setTimeout(() => {
      heart.style.transform = `translateY(-${Math.random() * 200 + 100}px)`;
      heart.style.opacity = '0';
    }, 50);

    setTimeout(() => {
      floatingHearts.removeChild(heart);
    }, 3000);
  }

  heartBtn.addEventListener('click', () => {
    for(let i = 0; i < 10; i++) {
      setTimeout(createHeart, i * 100);
    }
  });
});
